# Method: gauges.batchGet

- [HTTP request](https://developers.google.com/flood-forecasting/rest/v1/gauges/batchGet#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/flood-forecasting/rest/v1/gauges/batchGet#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/flood-forecasting/rest/v1/gauges/batchGet#body.request_body)
- [Response body](https://developers.google.com/flood-forecasting/rest/v1/gauges/batchGet#body.response_body)
  - [JSON representation](https://developers.google.com/flood-forecasting/rest/v1/gauges/batchGet#body.BatchGetGaugesResponse.SCHEMA_REPRESENTATION)

Get metadata about multiple gauges.

### HTTP request

`GET https://floodforecasting.googleapis.com/v1/gauges:batchGet`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `names[]` | `string` Required. The gauge names to retrieve. Name format: gauges/{gaugeId}. The supported list size is limited to 100,000. If a list larger than 100,000 is provided it fails with an INVALID_REQUEST error. |

### Request body

The request body must be empty.

### Response body

The response of gauges.batchGet.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "gauges": [ { object (`https://developers.google.com/flood-forecasting/rest/v1/gauges#Gauge`) } ] } ``` |

| Fields ||
|---|---|
| `gauges[]` | ``object (`https://developers.google.com/flood-forecasting/rest/v1/gauges#Gauge`)`` The requested gauges. |